=== modified file 'Makefile.am'
--- Makefile.am	2010-09-02 03:49:37 +0000
+++ Makefile.am	2010-09-02 04:28:34 +0000
@@ -18,6 +18,7 @@
 # Benchmarks and example programs
 noinst_PROGRAMS = \
 	dhry \
+	dhry-native \
 	try-bionic \
 	try-csl \
 	try-glibc \
@@ -34,7 +35,7 @@
 	libmulti.a
 
 # Main library
-libcortexcpu_la_SOURCES = 
+libcortexcpu_la_SOURCES = \
 	src/neon/memcpy.S \
 	src/neon/memset.S \
 	src/thumb-2/strcmp.c \
@@ -112,6 +113,10 @@
 	benchmarks/dhry/dhry_2.c
 
 dhry_CFLAGS = -Dcompiler="\"$(COMPILER)\"" -Doptions="\"$(CFLAGS)\""
+dhry_LDADD = libcortexcpu.la
+
+dhry_native_SOURCES = $(dhry_SOURCES)
+dhry_native_CFLAGS = $(dhry_CFLAGS)
 
 AM_CFLAGS = -std=gnu99 -mfpu=neon -Wall
 AM_CPPFLAGS = -mfpu=neon

